<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.SyncTaskLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.SyncTaskLog">
        <id column="task_log_id" property="taskLogId" />
        <result column="create_time" property="createTime" />
        <result column="task_id" property="taskId" />
        <result column="task_name" property="taskName" />
        <result column="source_db_id" property="sourceDbId" />
        <result column="source_db_name" property="sourceDbName" />
        <result column="source_table" property="sourceTable" />
        <result column="target_db_id" property="targetDbId" />
        <result column="target_db_name" property="targetDbName" />
        <result column="target_table" property="targetTable" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="total_rows" property="totalRows" />
        <result column="success_rows" property="successRows" />
        <result column="fail_rows" property="failRows" />
        <result column="sync_status" property="syncStatus" />
        <result column="error_msg" property="errorMsg" />
        <result column="cost_time" property="costTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, task_log_id, task_id, task_name, source_db_id, source_db_name, source_table, target_db_id, target_db_name, target_table, start_time, end_time, total_rows, success_rows, fail_rows, sync_status, error_msg, cost_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
